Bug 16529 - Clean up and improve upload template
Summary: Clean up and improve upload template
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL: /cgi-bin/koha/tools/upload.pl
Keywords:
Depends on: 14686
Blocks: 16538
  Show dependency treegraph
 
Reported: 2016-05-16 14:56 UTC by Owen Leonard
Modified: 2017-12-07 22:16 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16529 - Clean up and improve upload template (8.95 KB, patch)
2016-05-16 15:34 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16529 - Clean up and improve upload template (8.97 KB, patch)
2016-06-03 13:26 UTC, Rocio Dressler
Details | Diff | Splinter Review
Bug 16529 - Clean up and improve upload template (9.07 KB, patch)
2016-06-03 14:01 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-05-16 14:56:10 UTC
The file upload template has a few issues to be fixed:

- use of 'onclick' should be corrected
- markup errors should be fixed
- layout should be adjusted based on whether the page is displaying in a popup or not.
Comment 1 Owen Leonard 2016-05-16 15:34:59 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2016-05-21 00:08:05 UTC
(In reply to Owen Leonard from comment #1)
>   - Confirm that this window has a layout which is adjusted for the size
>     of the window.

What 'adjusted' means?
Fieldset's width is fixed, always centered.
If that's Ok I'll sign

Comment: 'Close' button on page bottom looks different from the others: rounded corners and bold font.
Comment 3 Rocio Dressler 2016-06-03 13:26:58 UTC Comment hidden (obsolete)
Comment 4 Marcel de Rooy 2016-06-03 13:41:44 UTC
QA: Looking at this one now
Comment 5 Marcel de Rooy 2016-06-03 14:01:17 UTC
Created attachment 52011 [details] [review]
Bug 16529 - Clean up and improve upload template

This patch makes some fixes and improvements to the template for Tools
-> Upload, including markup corrections, removal of 'onclick,' and
conversion of some links to styled buttons.

To test, apply the patch and go to Tools -> Upload.

- Confirm that uploading a file works correctly.
- Confirm that clicking 'Cancel' during a file upload works correctly.
- Search existing uploads.
  - Confirm that the 'Download' and 'Delete' buttons look correct and
    work correctly.
- In Administration -> MARC bibliographic framework, choose a
  framework and configure a tag subfield to use the upload plugin.
- Create or edit a bibliographic record using the framework you
  modified.
- Click the tag editor icon next to your modified subfield to trigger
  the pop-up window with the upload form.
  - Confirm that this window has a layout which is adjusted for the size
    of the window.
  - Confirm that uploading and selecting files from this window works
    correctly.

Signed-off-by: Rocio Dressler <rocio@bywatersolutions.com>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Brendan Gallagher 2016-06-04 06:55:34 UTC
Pushed to Master - Should be in the November 2016 release.  Thanks!
Comment 7 Frédéric Demians 2016-06-15 07:37:37 UTC
Pushed in 16.05. Will be in 16.05.01.